Piloterr

Owler Search

Search for companies on Owler by name or keyword, returning a list of matching companies with slugs, logos, domains, and profile URLs.

Credit cost: 1 credit per call

GET
/v2/owler/search

Authorization

ApiKeyAuth
x-api-key<token>

Your API key. Include it in the x-api-key header for every request.

In: header

Query Parameters

query*string

The company name or keyword to search for on Owler.

Examples:

tesla

The API returns a list of matching companies from Owler's database, including their name, slug, logo, domain, and Owler profile URL.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://api.piloterr.com/v2/owler/search?query=string"
[
  {
    "id": "15254378",
    "url": "https://www.owler.com/company/nortonlifelock",
    "logo": "https://s3.amazonaws.com/owler-image/logo/nortonlifelock_owler_20211115_162831_original.png",
    "name": "NortonLifeLock, Inc.",
    "slug": "nortonlifelock",
    "domain": "nortonlifelock.com"
  },
  {
    "id": "145118",
    "url": "https://www.owler.com/company/norton-rose-fulbright",
    "logo": "https://s3.amazonaws.com/owler-image/logo/norton-rose-fulbright_owler_20241206_222941_original.jpg",
    "name": "Norton Rose Fulbright, LLP",
    "slug": "norton-rose-fulbright",
    "domain": "nortonrosefulbright.com"
  },
  {
    "id": "191474",
    "url": "https://www.owler.com/company/norton-antivirus",
    "logo": "https://s3.amazonaws.com/owler-image/logo/norton-antivirus_owler_20200309_064538_original.png",
    "name": "Norton AntiVirus",
    "slug": "norton-antivirus",
    "domain": "norton.com"
  }
]
{
  "error": "Bad Request"
}
{
  "error": "Invalid API Key"
}
{
  "error": "Payment required"
}
{
  "error": "Rate limit exceeded for the API key: quota monthly"
}
{
  "error": "Internal Error"
}